<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.DailySummaryMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.DailySummary">
        <id column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="summary_date" property="summaryDate" />
        <result column="total_income" property="totalIncome" />
        <result column="total_expense" property="totalExpense" />
        <result column="net_cash_flow" property="netCashFlow" />
        <result column="transactions_count" property="transactionsCount" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_time, summary_date, total_income, total_expense, net_cash_flow, transactions_count, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
